1 příspěvek / 0 new
Poslední
Obrázek uživatele Pepa
Offline
Naposledy viděn: 5 let 9 měsíců zpět
Připojen: 24.02.2016 - 13:38
AMD ovladače na oS 42.1

Zdravím, mám problém s instalací ovladačů na čistě nainstalovaný openSuse 42.1 s KDE. Grafiku mám Radeon HD 5650 v notebooku.
Zkoušel jsem podle těchto stránek: https://en.opensuse.org/SDB:AMD_fglrx metodu "Procedure GUI - YaST2". Vše podle návodu, ale po restartu mi nenaběhla Plasma a zobrazilo to 3x chybové okna - Segmentation fault (11) s PID 1452, 1511 a 1530. Obrazovka černá, mohl jsem jen používat Dolphin na soubory.
Chtěl jsem zkusit ještě 1-click install, ale u toho mi Yast píše, že nemá žádné instrukce na oS 42.1, takže to nenainstaluje.

Instalace oS je čerstvá, akorát stažené aktualizace. Potřebuju na to ještě nějaké další balíky? A jak případně v Yastu najdu ty pravé? Přešel jsem z Windows 7 a zatím se v tom moc nevyznám. Paradoxně je update grafiky to nejhorší, co mě potkalo na všech systémech.

V notebooku mám navíc přepínatelnou grafiku - integrovaná intel a ta AMD. Na W7 jsem ale měl update na nejnovější ovladače, které mi sice neumožnily přepínat grafiku, ale zaplá byla ta dedikovaná AMD, a o to mi jde. V BIOSu mi to přepnout nejde, mám starý model notebooku.
Pokud to chápu správně, měl bych tu mít už nějaký open source ovladač, pokud jsem to správně zkontroloval v terminálu. Zkoušel jsem si gears benchmark a najelo mi 60 FPS. Myslíte, že by to stačilo na starší 3D hry, jako System Shock 2, Psychonauts a podobné?
Rozhodně chci ale používat tu AMD, aby se zbytečně nevytěžoval procesor s tou integrovanou, protože už tak se mi přehřívá a lepší to nebude, je to docela stařeček.

Za případné rady děkuji. Zkoušel jsem update i na jiných distribucích, ale všude nějaká chyba. Teď jsem konečně našel ideální OS, který je stabilní a vyhovuje mi. Teď už jen ta grafika a všechno OK.

Distribuce: 
Obrázek uživatele ferri
Offline
Naposledy viděn: 4 roky 5 měsíců zpět
Připojen: 02.10.2012 - 21:37
re: AMD ovladace

V súčasnosti AMD grafiku nepoužívam a aj pre Nvidia mi stačí štandardný linuxový ovládač. Hry nehrávam.

Najskôr by som ti kvôli ostatným, ktorí ti budú chcieť pomôcť, poradil prejsť si
http://www.opensuse.cz/forum/jak-se-spravne-ptat
a doplniť hlavne informácie o hardvéri.

Inak na veci ohľadom AMD/ATI Catalyst fglrx z posledného obdobia som natrafil napr.
https://lizards.opensuse.org/2015/12/06/proprietary-amdati-catalyst-fglr...
https://forums.opensuse.org/showthread.php/513543-AMD-catalyst-proprieta...
https://forums.opensuse.org/showthread.php/513530-Proprietary-AMD-driver...
https://forums.opensuse.org/showthread.php/513676-fglrx-dual-graphics
https://forums.opensuse.org/showthread.php/511227-compiling-fglrx-driver...

openSUSE Leap 42.2 KDE